function [c1, c2] = EstimCurvature(normData, TreeSearchVal, queryDataVal, RadVal)
idx = rangesearch(TreeSearchVal, queryDataVal, RadVal);
idxs = idx{1};
neighbors = 1;
M = eye(3) - queryDataVal'*queryDataVal; 
projected_normals = (M*neighbors')';
C = cov(projected_normals);
[~, lambda] = eig(C);
c1 = min(diag(lambda));
c2 = max(diag(lambda));
end
