
res = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Proposed\Dataset\');
file = dir(res);
file = file(~[file.isdir]);
NF = length(file);
for k = 1 : NF
    res1 = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Proposed\Dataset\');
    InputImagData = imread(fullfile(res1,file(k).name));    
    AdjustImgPixelVal = imadjust(InputImagData,[0.1 0.8],[]);
    binarizationRes = edge(AdjustImgPixelVal,'canny',0.13);
    res2 = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Proposed\TrainingResult\PreProcess\3\');
    fullFileName = fullfile(res2, file(k).name);
    [folder, fn, ext] = fileparts(fullFileName);
    fn = sprintf('%s.jpg', fn);
    fullFileName = fullfile(folder, fn);
    imwrite(binarizationRes,fullFileName,'jpg');
end
