
res = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Existing\Dataset\');
file = dir(res);
file = file(~[file.isdir]);
NF = length(file);
for k = 1 : NF
    res1 = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Existing\Dataset\');
    ImgData = imread(fullfile(res1,file(k).name)); 
    t1 = 50;  
    t2 = 180;  
    ContrastFilledProc = double(ImgData);
    ContrastFilledProc = double((ImgData(:,:) >= t1) & (ImgData(:,:) <= t2)) .* ...
        ((ContrastFilledProc(:,:) - t1) * 255 / (t2 - t1) ) + ...
        (ImgData(:,:) > t2) * 255 + (ImgData(:,:) < t1) * 0;
    ContrastFilledProc = uint8(ContrastFilledProc);
    ContrastFilledProc = imsharpen(ContrastFilledProc);    
    res2 = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Existing\TrainingResult\ContrastFillingRes\');
    fullFileName = fullfile(res2, file(k).name);
    [folder, fn, ext] = fileparts(fullFileName);
    fn = sprintf('%s.jpg', fn);
    fullFileName = fullfile(folder, fn);
    imwrite(ContrastFilledProc,fullFileName,'jpg');
end
