
res = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Existing\Dataset\');
file = dir(res);
file = file(~[file.isdir]);
NF = length(file);
for k = 1 : NF
    res1 = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Existing\Dataset\');
    InputImagData = imread(fullfile(res1,file(k).name));
    se = strel('disk',1);
    VascularPartExt = imadjust(InputImagData,[0.1 0.7],[]);
    TempConstrainRes = edge(VascularPartExt,'canny',0.20);
    SegVascularAreaRes = imdilate(TempConstrainRes,se);
    res2 = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Existing\TrainingResult\Segmentation\');
    fullFileName = fullfile(res2, file(k).name);
    [folder, fn, ext] = fileparts(fullFileName);
    fn = sprintf('%s.jpg', fn);
    fullFileName = fullfile(folder, fn);
    imwrite(SegVascularAreaRes,fullFileName,'jpg');
end
