
res = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Existing\TrainingResult\Segmentation\');
file = dir(res);
file = file(~[file.isdir]);
NF = length(file);
for k = 1 : NF
    res1 = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Existing\TrainingResult\Segmentation\');
    InputImagData = im2bw(imread(fullfile(res1,file(k).name)));   
    MorphOpRes=~bwmorph(InputImagData,'thin',Inf);
    s=size(MorphOpRes);
    N=3;
    n=(N-1)/2;
    r=s(1)+2*n;
    c=s(2)+2*n;
    double temp(r,c);
    temp=zeros(r,c);
    dssdInit=zeros(r,c);
    BoundingBoxDet=zeros(r,c);
    temp((n+1):(end-n),(n+1):(end-n))=MorphOpRes(:,:);
    outImg=zeros(r,c,3);
    outImg(:,:,1) = temp .* 255;
    outImg(:,:,2) = temp .* 255;
    outImg(:,:,3) = temp .* 255;    
    for x=(n+1+10):(s(1)+n-10)
        for y=(n+1+10):(s(2)+n-10)
            e=1;
            for k1=x-n:x+n
                f=1;
                for l=y-n:y+n
                    mat(e,f)=temp(k1,l);
                    f=f+1;
                end
                e=e+1;
            end
            if(mat(2,2)==0)
                BoundingBoxDet(x,y)=sum(sum(~mat));
                dssdInit(x,y)=sum(sum(~mat));
            end
        end
    end
    
    [BoundingBoxXVal BoundingBoxYVal]=find(BoundingBoxDet==2);
    len=length(BoundingBoxXVal);
    for i=1:len
        outImg((BoundingBoxXVal(i)-3):(BoundingBoxXVal(i)+3),(BoundingBoxYVal(i)-3),2:3)=0;
        outImg((BoundingBoxXVal(i)-3):(BoundingBoxXVal(i)+3),(BoundingBoxYVal(i)+3),2:3)=0;
        outImg((BoundingBoxXVal(i)-3),(BoundingBoxYVal(i)-3):(BoundingBoxYVal(i)+3),2:3)=0;
        outImg((BoundingBoxXVal(i)+3),(BoundingBoxYVal(i)-3):(BoundingBoxYVal(i)+3),2:3)=0;
        
        outImg((BoundingBoxXVal(i)-3):(BoundingBoxXVal(i)+3),(BoundingBoxYVal(i)-3),1)=255;
        outImg((BoundingBoxXVal(i)-3):(BoundingBoxXVal(i)+3),(BoundingBoxYVal(i)+3),1)=255;
        outImg((BoundingBoxXVal(i)-3),(BoundingBoxYVal(i)-3):(BoundingBoxYVal(i)+3),1)=255;
        outImg((BoundingBoxXVal(i)+3),(BoundingBoxYVal(i)-3):(BoundingBoxYVal(i)+3),1)=255;
    end
    [DSSDXVal DSSDYVal]=find(dssdInit==4);
    len=length(DSSDXVal);
    for i=1:len
    outImg((DSSDXVal(i)-3):(DSSDXVal(i)+3),(DSSDYVal(i)-3),1:2)=0;
    outImg((DSSDXVal(i)-3):(DSSDXVal(i)+3),(DSSDYVal(i)+3),1:2)=0;
    outImg((DSSDXVal(i)-3),(DSSDYVal(i)-3):(DSSDYVal(i)+3),1:2)=0;
    outImg((DSSDXVal(i)+3),(DSSDYVal(i)-3):(DSSDYVal(i)+3),1:2)=0;
    
    outImg((DSSDXVal(i)-3):(DSSDXVal(i)+3),(DSSDYVal(i)-3),3)=255;
    outImg((DSSDXVal(i)-3):(DSSDXVal(i)+3),(DSSDYVal(i)+3),3)=255;
    outImg((DSSDXVal(i)-3),(DSSDYVal(i)-3):(DSSDYVal(i)+3),3)=255;
    outImg((DSSDXVal(i)+3),(DSSDYVal(i)-3):(DSSDYVal(i)+3),3)=255;
    outImg = imcomplement(outImg);
    end
    res2 = strcat('E:\Multi-Constraints based Deep Learning Model for Automated Segmentation and Diagnosis of Coronary Artery Disease in X-ray Angiographic Images\Code\Existing\TrainingResult\StenosisDet\');
    fullFileName = fullfile(res2, file(k).name);
    [folder, fn, ext] = fileparts(fullFileName);
    fn = sprintf('%s.jpg', fn);
    fullFileName = fullfile(folder, fn);
    imwrite(outImg,fullFileName,'jpg');
end